FROM python:3.8-slim

WORKDIR /app

COPY Pipfile . 
COPY Pipfile.lock .
COPY src ./todo 

RUN pip install --no-cache-dir pipenv && \
    pipenv install --system --deploy --ignore-pipfile && \
    python todo/manage.py collectstatic --no-input &&\
    pipenv --clear && \
    rm Pipfile Pipfile.lock 
                    
WORKDIR /app/todo

CMD gunicorn todo.wsgi --bind 0.0.0.0:8000 && \
    python todo/manage.py makemigrations &&\
    python todo/manage.py migrate
